<div class="row">
    <form [formGroup]="userForm" (ngSubmit)="submitUser()" class="offset-3 col-6">
        <h3> {{mode | titlecase}} </h3>
        <div class="form-group">
            <label for="emailAdresse">Email </label>
            <input type="email" formControlName="title" class="form-control" id="emailAdresse" aria-describedby="emailHelp">
            <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
            <div *ngIf="userForm.controls.title.touched && userForm.controls.title.hasError('required')" class="errorMessage">Title is required.</div>
        </div>
        <div class="form-group">
            <label for="password">Password </label>
            <input type="password" formControlName="password" id="password" class="form-control" /> 
            <div *ngIf="(userForm.controls.password.touched && userForm.controls.password.hasError('required')) || (userForm.controls.password.touched && userForm.controls.password.hasError('validUserTitle'))" class="errorMessage">password is required or password texte is blacklisted.</div>
        </div>
        <div class="form-group" *ngIf="mode === 'register'">
            <label for="nom">Nom </label>
            <input type="text" formControlName="nom" class="form-control" id="nom" >
            <div *ngIf="userForm.controls.nom.touched && userForm.controls.nom.hasError('required')" class="errorMessage">Nom is required.</div>
        </div>
        <div class="form-group" *ngIf="mode === 'register'">
            <label for="prenom">Prenom </label>
            <input type="text" formControlName="prenom" id="prenom" class="form-control" /> 
            <div *ngIf="(userForm.controls.prenom.touched && userForm.controls.prenom.hasError('required')) || (userForm.controls.password.touched && userForm.controls.password.hasError('validUserTitle'))" class="errorMessage">password is required or password texte is blacklisted.</div>
        </div>
        <div class="buttonContainer">
            <button [disabled]="!userForm.valid" class="btn btn-success" type="submit" >{{ mode == 'register' ? 'Create' : 'Login'}}</button>
            <a routerLink="/login" [queryParams]="{mode:'register'}" class="btn btn-success" type="submit" *ngIf="mode === 'login'">Register</a>
            <a routerLink="/login" [queryParams]="{mode:'login'}" class="btn btn-success" type="submit" *ngIf="mode === 'register'">Login</a>
        </div>
    </form>

</div>
